The MongoDB\Driver\Exception\BulkWriteException class

- « MongoDB\Driver\Exception\AuthenticationException

- MongoDB\Driver\Exception\BulkWriteException::getWriteResult »

- PHP Manual
- MongoDB\Driver\Exception
- The MongoDB\Driver\Exception\BulkWriteException class

# The MongoDB\Driver\Exception\BulkWriteException class

(mongodb >= 1.0.0)

## Introduction

Thrown when a bulk write operation fails.

## Class synopsis

class MongoDB\Driver\Exception\BulkWriteException extends MongoDB\Driver\Exception\ServerException implements MongoDB\Driver\Exception\Exception {
/* Properties */
protected MongoDB\Driver\WriteResult $writeResult;
/* Inherited properties */
protected ?array $errorLabels;
protected string $message = "";
private string $string = "";
protected int $code;
protected string $file = "";
protected int $line;
private array $trace = [];
private ?Throwable $previous = null;
/* Methods */
final public getWriteResult(): MongoDB\Driver\WriteResult
/* Inherited methods */
final public MongoDB\Driver\Exception\RuntimeException::hasErrorLabel(string `$errorLabel`): bool
final public Exception::getMessage(): string
final public Exception::getPrevious(): ?Throwable
final public Exception::getCode(): int
final public Exception::getFile(): string
final public Exception::getLine(): int
final public Exception::getTrace(): array
final public Exception::getTraceAsString(): string
public Exception::__toString(): string
private Exception::__clone(): void
}

## Properties

writeResult

  The MongoDB\Driver\WriteResult associated with the failed write operation.

## Changelog

Version | Description
--- | ---
PECL mongodb 2.0.0 | This class now extends MongoDB\Driver\Exception\ServerException instead of MongoDB\Driver\Exception\WriteException.

## Table of Contents

- MongoDB\Driver\Exception\BulkWriteException::getWriteResult — Returns the WriteResult for the failed write operation